// ChecksumDlg.h : header file
//

#if !defined(AFX_CHECKSUMDLG_H__B4118AC0_56D7_4A84_8A74_704A84A7FF06__INCLUDED_)
#define AFX_CHECKSUMDLG_H__B4118AC0_56D7_4A84_8A74_704A84A7FF06__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChecksumDlg dialog

class CChecksumDlg : public CDialog
{
// Construction
public:
	CChecksumDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CChecksumDlg)
	enum { IDD = IDD_CHECKSUM_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChecksumDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CChecksumDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	char m_strClientPath[MAX_PATH];

	unsigned long  CheckOCTREE();

	bool SetCheckSum(const char* szRegKey, const char* szRegValue, bool bBattleServer, 
		unsigned long dwViewPathID, unsigned long dwViewCheckSumID, unsigned long dwViewVersionID);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHECKSUMDLG_H__B4118AC0_56D7_4A84_8A74_704A84A7FF06__INCLUDED_)
